<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  </head>
  <body>
    <style>
     
      th{
        min-width: 150px;
        align-items: center;
        text-align: center;
      }
      #center-content-container{
        display: flex;
        justify-content: center;
        align-items: center;
      } 
    </style>

    {% include "lab5_navbar.html" %}
    
    <h1 style="text-align: center;">List of Messages</h1>
    <div class="container">
      <table class="table table-bordered-dark" >
        <thead class="table-light">
          <tr>
            <th>From</th>
            <th>To</th>
            <th>Title</th>
            <th>Message</th>
            <th>Action</th>
          </tr>
        </thead>
        <!-- TODO loop from Friend model -->
        <!-- EXAMPLE SECTION -->
        {% if notes %}
          {% for e in notes %}
            <tr>
              <td>{{ e.From }}  </td>
              <td>{{ e.To }}  </td>
              <td>{{ e.Title }}  </td>
              <td>
                 
                <div class="container" id="center-content-container">
                  <div style="max-width: fit-content; text-justify: auto; padding-bottom: 5px;" >
                    <div id="message-{{ forloop.counter }}" style="display: none;">{{ e.Message }}</div>
                  </div>
                </div>
                <div class="container" id="center-content-container">
                  <button type="button" class="btn btn-dark" id="btn-{{ forloop.counter }}" onclick='myFunction("{{ forloop.counter }}")'>show</button>
                  <script>
                    function myFunction(n) {
                      let x = document.getElementById(`message-${n}`);
                      let y = document.getElementById(`btn-${n}`);
                      if (x.style.display == "block") {
                          y.innerHTML="show";
                          x.style.display = "none";
                      } else {
                          y.innerHTML="hide"
                          x.style.display = "block";
                      }
                      y.blur()
                    }
                  </script>
                </div>
              </td>
              <td>
                <div class="container" id="center-content-container" >
                  <button type="button" class="btn btn-dark" id="btn-view-{{ forloop.counter }}" style="margin-right: 2px;">View</button>
                  <button type="button" class="btn btn-dark" id="btn-edit-{{ forloop.counter }}" style="margin-right: 2px;">Edit</button>
                  <button type="button" class="btn btn-dark" id="btn-delete-{{ forloop.counter }}" style="margin-right: 2px;">Delete</button>
                  {% include 'lab5_view_modal.html' %}
                </div>
                
              </td>
            </tr>
          {% endfor %}
        {% endif %}
        <!-- END SECTION -->
      </table>
    </div>
  </body>
</html>
